Update Branch
PUThttps://api.confident-ai.com/v1/prompts/{alias}/branches/{name}
Updates the name of an existing branch in your prompt on Confident AI.
curl -X PUT "https://api.confident-ai.com/v1/prompts/{alias}/branches/{name}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "RenamedBranch"
}'{
"success": true,
"data": {
"id": "br_123456"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the prompt.
namestringRequiredThe unique name of the branch you're trying to update.
Request body
namestringThe new name of the branch you're trying to update.
requiredany
Response
successbooleanThis is true if the prompt branch was successfully deleted.
dataobjectShow 1 propertyHide 1 property
idstringThis is the id of the updated prompt branch.
deprecatedbooleanThis is true if this endpoint is deprecated.